OGRE: Ogre::D3D9VertexDeclaration Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::D3D9VertexDeclaration Class Reference

Specialisation of VertexDeclaration for D3D9. More...

`#include <OgreD3D9VertexDeclaration.h>`

Inheritance diagram for Ogre::D3D9VertexDeclaration:
[legend]

## Public Member Functions
| D3D9VertexDeclaration ()
| ~D3D9VertexDeclaration ()
const VertexElement & | addElement (unsigned short source, size_t offset, VertexElementType theType, VertexElementSemantic semantic, unsigned short index=0)
| See VertexDeclaration. More...
IDirect3DVertexDeclaration9 * | getD3DVertexDeclaration (VertexDeclaration *globalDeclaration, bool useGlobalInstancingVertexBufferIsAvailable)
| Gets the D3D9-specific vertex declaration. More...
const VertexElement & | insertElement (unsigned short atPosition, unsigned short source, size_t offset, VertexElementType theType, VertexElementSemantic semantic, unsigned short index=0)
| See VertexDeclaration. More...
void | modifyElement (unsigned short elem_index, unsigned short source, size_t offset, VertexElementType theType, VertexElementSemantic semantic, unsigned short index=0)
| See VertexDeclaration. More...
virtual void | notifyOnDeviceCreate (IDirect3DDevice9 *d3d9Device)
virtual void | notifyOnDeviceDestroy (IDirect3DDevice9 *d3d9Device)
virtual void | notifyOnDeviceLost (IDirect3DDevice9 *d3d9Device)
virtual void | notifyOnDeviceReset (IDirect3DDevice9 *d3d9Device)
void | removeAllElements (void)
| See VertexDeclaration. More...
void | removeElement (unsigned short elem_index)
| See VertexDeclaration. More...
void | removeElement (VertexElementSemantic semantic, unsigned short index=0)
| See VertexDeclaration. More...

## Static Public Member Functions
static void | lockDeviceAccess ()
static void | unlockDeviceAccess ()

## Detailed Description

Specialisation of VertexDeclaration for D3D9.

## Constructor & Destructor Documentation

## ◆ D3D9VertexDeclaration()

Ogre::D3D9VertexDeclaration::D3D9VertexDeclaration | ( |  | ) |

## ◆ ~D3D9VertexDeclaration()

Ogre::D3D9VertexDeclaration::~D3D9VertexDeclaration | ( |  | ) |

## Member Function Documentation

## ◆ addElement()

const VertexElement& Ogre::D3D9VertexDeclaration::addElement | ( | unsigned short | source,
|  | size_t | offset,
|  | VertexElementType | theType,
|  | VertexElementSemantic | semantic,
|  | unsigned short | index = `0`
| ) |  |

See VertexDeclaration.

## ◆ getD3DVertexDeclaration()

IDirect3DVertexDeclaration9* Ogre::D3D9VertexDeclaration::getD3DVertexDeclaration | ( | VertexDeclaration * | globalDeclaration,
|  | bool | useGlobalInstancingVertexBufferIsAvailable
| ) |  |

Gets the D3D9-specific vertex declaration.

## ◆ insertElement()

const VertexElement& Ogre::D3D9VertexDeclaration::insertElement | ( | unsigned short | atPosition,
|  | unsigned short | source,
|  | size_t | offset,
|  | VertexElementType | theType,
|  | VertexElementSemantic | semantic,
|  | unsigned short | index = `0`
| ) |  |

See VertexDeclaration.

## ◆ lockDeviceAccess()

static void Ogre::D3D9Resource::lockDeviceAccess | ( |  | ) |
| staticinherited

## ◆ modifyElement()

void Ogre::D3D9VertexDeclaration::modifyElement | ( | unsigned short | elem_index,
|  | unsigned short | source,
|  | size_t | offset,
|  | VertexElementType | theType,
|  | VertexElementSemantic | semantic,
|  | unsigned short | index = `0`
| ) |  |

See VertexDeclaration.

## ◆ notifyOnDeviceCreate()

virtual void Ogre::D3D9VertexDeclaration::notifyOnDeviceCreate | ( | IDirect3DDevice9 * | d3d9Device | ) |
| virtual

Reimplemented from Ogre::D3D9Resource.

## ◆ notifyOnDeviceDestroy()

virtual void Ogre::D3D9VertexDeclaration::notifyOnDeviceDestroy | ( | IDirect3DDevice9 * | d3d9Device | ) |
| virtual

Reimplemented from Ogre::D3D9Resource.

## ◆ notifyOnDeviceLost()

virtual void Ogre::D3D9Resource::notifyOnDeviceLost | ( | IDirect3DDevice9 * | d3d9Device | ) |
| inlinevirtualinherited

Reimplemented in Ogre::D3D9Texture, Ogre::D3D9HardwareVertexBuffer, Ogre::D3D9HardwareOcclusionQuery, and Ogre::D3D9HardwareIndexBuffer.

## ◆ notifyOnDeviceReset()

virtual void Ogre::D3D9Resource::notifyOnDeviceReset | ( | IDirect3DDevice9 * | d3d9Device | ) |
| inlinevirtualinherited

Reimplemented in Ogre::D3D9Texture, Ogre::D3D9HardwareVertexBuffer, Ogre::D3D9HardwareOcclusionQuery, and Ogre::D3D9HardwareIndexBuffer.

## ◆ removeAllElements()

void Ogre::D3D9VertexDeclaration::removeAllElements | ( | void |  | ) |

See VertexDeclaration.

## ◆ removeElement() [1/2]

void Ogre::D3D9VertexDeclaration::removeElement | ( | unsigned short | elem_index | ) |

See VertexDeclaration.

## ◆ removeElement() [2/2]

void Ogre::D3D9VertexDeclaration::removeElement | ( | VertexElementSemantic | semantic,
|  | unsigned short | index = `0`
| ) |  |

See VertexDeclaration.

## ◆ unlockDeviceAccess()

static void Ogre::D3D9Resource::unlockDeviceAccess | ( |  | ) |
| staticinherited

The documentation for this class was generated from the following file:

- OgreD3D9VertexDeclaration.h